Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.portlet.context
Class PortletRequestHandledEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.springframework.web.context.support.RequestHandledEvent
                  org.springframework.web.portlet.context.PortletRequestHandledEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PortletRequestHandledEvent

extends RequestHandledEvent

Portlet-specific subclass of RequestHandledEvent, adding portlet-specific context information.

Since:
  2.0
Author:
  Juergen Hoeller, John A. Lewis
See Also:
  `FrameworkPortlet`, `ApplicationEventPublisher.publishEvent(org.springframework.context.ApplicationEvent)`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PortletRequestHandledEvent(java.lang.Object source, java.lang.String portletName, java.lang.String portletMode, java.lang.String requestType, java.lang.String sessionId, java.lang.String userName, long processingTimeMillis)` Create a new PortletRequestHandledEvent.
`PortletRequestHandledEvent(java.lang.Object source, java.lang.String portletName, java.lang.String portletMode, java.lang.String requestType, java.lang.String sessionId, java.lang.String userName, long processingTimeMillis, java.lang.Throwable failureCause)` Create a new PortletRequestHandledEvent.

Method Summary
`java.lang.String` | `getDescription()` Return a full description of this event, involving all available context data.
`java.lang.String` | `getPortletMode()` Return the mode of the portlet request (usually 'view', 'edit', or 'help').
`java.lang.String` | `getPortletName()` Return the name of the portlet that handled the request.
`java.lang.String` | `getRequestType()` Return the the type of Portlet Request ('action' or 'render').
`java.lang.String` | `getShortDescription()` Return a short description of this event, only involving the most important context data.
`java.lang.String` | `toString()`

Methods inherited from class org.springframework.web.context.support.RequestHandledEvent
`getFailureCause, getProcessingTimeMillis, getSessionId, getUserName, wasFailure`

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortletRequestHandledEvent

    public PortletRequestHandledEvent(java.lang.Object source,
                                      java.lang.String portletName,
                                      java.lang.String portletMode,
                                      java.lang.String requestType,
                                      java.lang.String sessionId,
                                      java.lang.String userName,
                                      long processingTimeMillis)

  Create a new PortletRequestHandledEvent.

  Parameters:
    `source` - the component that published the event
    `portletName` - the name of the portlet that handled the request
    `portletMode` - the PortletMode of the request (usually 'view', 'edit', or 'help')
    `requestType` - the type of Portlet request ('action' or 'render')
    `sessionId` - the id of the HTTP session, if any
    `userName` - the name of the user that was associated with the request, if any (usually the UserPrincipal)
    `processingTimeMillis` - the processing time of the request in milliseconds

### PortletRequestHandledEvent

    public PortletRequestHandledEvent(java.lang.Object source,
                                      java.lang.String portletName,
                                      java.lang.String portletMode,
                                      java.lang.String requestType,
                                      java.lang.String sessionId,
                                      java.lang.String userName,
                                      long processingTimeMillis,
                                      java.lang.Throwable failureCause)

  Create a new PortletRequestHandledEvent.

  Parameters:
    `source` - the component that published the event
    `portletName` - the name of the portlet that handled the request
    `portletMode` - the PortletMode of the request (usually 'view', 'edit', or 'help')
    `requestType` - the type of Portlet request ('action' or 'render')
    `sessionId` - the id of the HTTP session, if any
    `userName` - the name of the user that was associated with the request, if any (usually the UserPrincipal)
    `processingTimeMillis` - the processing time of the request in milliseconds
    `failureCause` - the cause of failure, if any

Method Detail

### getPortletName

    public java.lang.String getPortletName()

  Return the name of the portlet that handled the request.

### getPortletMode

    public java.lang.String getPortletMode()

  Return the mode of the portlet request (usually 'view', 'edit', or 'help').

### getRequestType

    public java.lang.String getRequestType()

  Return the the type of Portlet Request ('action' or 'render').

### getShortDescription

    public java.lang.String getShortDescription()

  Description copied from class: `RequestHandledEvent`
  Return a short description of this event, only involving the most important context data.

  Overrides:
    `getShortDescription` in class `RequestHandledEvent`

### getDescription

    public java.lang.String getDescription()

  Description copied from class: `RequestHandledEvent`
  Return a full description of this event, involving all available context data.

  Overrides:
    `getDescription` in class `RequestHandledEvent`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `RequestHandledEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD